cURL
curl --request PATCH \
--url https://us.infisical.com/api/v2/secret-scanning/data-sources/gitlab/{dataSourceId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isAutoScanEnabled": true,
"config": {
"scope": "group",
"groupId": 123,
"groupName": "<string>",
"includeProjects": [
"*"
]
}
}
'import requests
url = "https://us.infisical.com/api/v2/secret-scanning/data-sources/gitlab/{dataSourceId}"
payload = {
"name": "<string>",
"description": "<string>",
"isAutoScanEnabled": True,
"config": {
"scope": "group",
"groupId": 123,
"groupName": "<string>",
"includeProjects": ["*"]
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isAutoScanEnabled: true,
config: {scope: 'group', groupId: 123, groupName: '<string>', includeProjects: ['*']}
})
};
fetch('https://us.infisical.com/api/v2/secret-scanning/data-sources/gitlab/{dataSourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataSource": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"projectId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "gitlab",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connection": {
"app": "gitlab",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"config": {
"scope": "group",
"groupId": 123,
"groupName": "<string>",
"includeProjects": [
"*"
]
},
"externalId": "<string>",
"description": "<string>",
"encryptedCredentials": null,
"isAutoScanEnabled": true,
"isDisconnected": false
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}GitLab
Update
Update the specified GitLab Data Source.
PATCH
/
api
/
v2
/
secret-scanning
/
data-sources
/
gitlab
/
{dataSourceId}
cURL
Path Parameters
The ID of the GitLab Data Source to be updated.
Body
application/json
The updated name of the GitLab Data Source. Must be slug-friendly.
Required string length:
1 - 64The updated description of the GitLab Data Source.
Maximum string length:
256Whether scans should be automatically performed when a push occurs to projects associated with this Data Source.
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I